Bug 426108 - No audio after update to 20.04 - pipewire 0.3.8-1 - snd_hda_intel
Summary: No audio after update to 20.04 - pipewire 0.3.8-1 - snd_hda_intel
Status: RESOLVED FIXED
Alias: None
Product: neon
Classification: Unclassified
Component: Packages User Edition (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: VHI grave
Target Milestone: ---
Assignee: Neon Bugs
URL:
Keywords:
: 425892 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-09-02 18:23 UTC by Daniel
Modified: 2022-04-07 08:09 UTC (History)
19 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
attachment-15999-0.html (3.82 KB, text/html)
2020-10-10 13:37 UTC, Sven
Details
pavucontrol: unplugged unavailable (41.72 KB, image/png)
2020-10-13 01:42 UTC, John Salatas
Details
old pulse config folder (3.92 KB, application/zip)
2020-10-13 15:13 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2020-09-02 18:23:39 UTC
SUMMARY
No sound after updating KDE to release 20.04
When starting the computer, it has no sound, the speaker icon es grayed, and in the output devices only shows 'Dummy Output'

To make the sound work again I have to kill pulseaudio
Downgrading pipewire to version 0.2.7-1 fixes de issue.

STEPS TO REPRODUCE
1. Update to 20.04 (which upgrades pipewire to 0.3.8-1)

OBSERVED RESULT
Speaker icon grayed out, just dummy output shown

EXPECTED RESULT
Sound working as normal.

SOFTWARE/OS VERSIONS
Windows: NA 
macOS: NA
Linux/KDE Plasma: KDE neon User Edition 5.19
Release:        20.04

(available in About System)
KDE Plasma Version: 5.19.4 
KDE Frameworks Version: 5.73.0
Qt Version: 5.14.2

Laptop: Matebook X Pro i7 2018

tested with kernels, neither worked:
5.4.0-42-generic
5.6.19-050619-generic (currently using)

Sound Card:
$ lspci | grep Audio
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
Comment 1 Martín Perazzo 2020-09-03 02:48:44 UTC
*** Bug 425892 has been marked as a duplicate of this bug. ***
Comment 2 Daniel 2020-09-05 17:42:34 UTC
(In reply to Martín Perazzo from comment #1)
> *** Bug 425892 has been marked as a duplicate of this bug. ***

Is there any update on this?
Can I help somehow?
Comment 3 Sven 2020-09-07 15:59:21 UTC
Same problem, KDE Neon after upgrade to 20.04.

Sound Card:
$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
01:00.1 Audio device: NVIDIA Corporation GP104 High Definition Audio Controller (rev a1)


Only GP104 is listed in Audio > Advanced, but I am not able to enable the device. Internal audio just seems to be gone.

Using pavucontrol I'm able to select audio output using GP104, but still no option to use internal audio. Can't test if audio via HDMI is functional, because my monitor doesn't have speakers.

$ lsb_release -a
No LSB modules are available.
Distributor ID: Neon
Description:    KDE neon User Edition 5.19
Release:        20.04
Codename:       focal 
(after upgrading from 18.04)
Comment 4 Robert Griffiths 2020-09-09 14:54:14 UTC
Maybe try removing pulse config from ~/.config/pulse (ie rename pulse to pulse.old) and rebooting so pulse can create a new config. Even though I haven't updated as I have a fresh install, I changed gfx card a few days ago (ie with a different sound device onboard) and it confused pulse in seemingly the same way as your update caused so it might be the same thing.
Comment 5 Daniel 2020-09-09 15:34:37 UTC
(In reply to Robert Griffiths from comment #4)
> Maybe try removing pulse config from ~/.config/pulse (ie rename pulse to
> pulse.old) and rebooting so pulse can create a new config. Even though I
> haven't updated as I have a fresh install, I changed gfx card a few days ago
> (ie with a different sound device onboard) and it confused pulse in
> seemingly the same way as your update caused so it might be the same thing.

Already tried removing .config/pulse, even uninstalling and reinstalling pulseaudio, but when the computer restarts, there is no audio again.
Also, downgrading pipewire to version 0.2.7-1 fixes the issue.
Comment 6 Nate Graham 2020-09-12 02:46:59 UTC
My wife just hit this bug. Fixing it required both downgrading pipewire to 0.2.7-1 and also moving aside ~/.config/pulse.
Comment 7 Martín Perazzo 2020-09-12 23:18:25 UTC
From what I have been able to find reverting to 0.27 causes  /usr/lib/systemd/user/pipewire.service and /usr/lib/systemd/user/pipewire.socket user units to fail to start

Could you please update the pipewire package and add this to your autostart config:

sh -c "systemctl --user stop pipewire;systemctl --user stop pipewire.socket;systemctl --user restart pulseaudio"

reboot and check if you get audio?
Comment 8 Daniel 2020-09-14 06:12:30 UTC
(In reply to Martín Perazzo from comment #7)
> From what I have been able to find reverting to 0.27 causes 
> /usr/lib/systemd/user/pipewire.service and
> /usr/lib/systemd/user/pipewire.socket user units to fail to start
> 
> Could you please update the pipewire package and add this to your autostart
> config:
> 
> sh -c "systemctl --user stop pipewire;systemctl --user stop
> pipewire.socket;systemctl --user restart pulseaudio"
> 
> reboot and check if you get audio?

After restart I still have no sound.

Didn't exactly know where to put the command, but I created an audioissue.sh script with the following lines:

#/usr/bin/sh
systemctl --user stop pipewire;
systemctl --user stop pipewire.socket;
systemctl --user restart pulseaudio;

and was automatically added in system config autostart, I also tested running the script by itself and it works fine.

After a restart, still no sound, I also checked in syslog that the script ran.
Comment 9 Daniel 2020-09-14 06:20:52 UTC
(In reply to Daniel from comment #8)
> (In reply to Martín Perazzo from comment #7)
> > From what I have been able to find reverting to 0.27 causes 
> > /usr/lib/systemd/user/pipewire.service and
> > /usr/lib/systemd/user/pipewire.socket user units to fail to start
> > 
> > Could you please update the pipewire package and add this to your autostart
> > config:
> > 
> > sh -c "systemctl --user stop pipewire;systemctl --user stop
> > pipewire.socket;systemctl --user restart pulseaudio"
> > 
> > reboot and check if you get audio?
> 
> After restart I still have no sound.
> 
> Didn't exactly know where to put the command, but I created an audioissue.sh
> script with the following lines:
> 
> #/usr/bin/sh
> systemctl --user stop pipewire;
> systemctl --user stop pipewire.socket;
> systemctl --user restart pulseaudio;
> 
> and was automatically added in system config autostart, I also tested
> running the script by itself and it works fine.
> 
> After a restart, still no sound, I also checked in syslog that the script
> ran.

now it works! I had to set the option 'Run On' to 'Before Session Startup' in the autostart configuration.
Comment 10 Christoph Feck 2020-09-23 22:31:45 UTC
Can anyone who was affected confirm this issue is fixed?
Comment 11 Paul Feakins 2020-09-24 08:02:54 UTC
> Can anyone who was affected confirm this issue is fixed?

I fixed it with pavucontrol so can't confirm if it would have been fixed otherwise.
Comment 12 Daniel 2020-09-24 13:03:44 UTC
(In reply to Christoph Feck from comment #10)
> Can anyone who was affected confirm this issue is fixed?

Is not fixed. Just workarounds.
Comment 13 ese73 2020-10-10 10:11:19 UTC
I have the same problem and had a bug posted on launchpad https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1898184 before I came along this ticket so maybe I will close it with reference to this one. My laptop Lenovo P50 is equipped with a Nvidia graphics chip, so I am still able to hear sound by choosing HDMI3 output. However, my microphone is dead.

But my comment is mainly on reporting some (in my eyes) strange observation I made just yesterday. To countercheck, I booted a Kubuntu 18.04.5 live system from USB stick and there the built-in audio worked as expected because it did so before I upgraded to 20.04.1. I then shut down the system and removed the stick. After rebooting the installed 20.04.1 again, the built-in audio worked! For example, I could start Zoom client and when entering its audio settings it would not complain anymore about not being able to find the microphone. Instead it recorded sound as usual. BUT: after rebooting the 20.04.1 it apparently was brainwashed and it could not find the built-in audio anymore and Zoom complained again about the supposedly missing internal microphone.

I never before experienced such a behavior and I don't understand it. Just thought I should mention it.

Nevertheless the bug is really nasty as it prevents participation in web conferences, which became an essential part of daily working in times of Covid-19.

Just for the records, I confirm the bug for a Lenovo P50. My system is (output of inxi):

Kernel: 
5.4.0-48-generic x86_64 bits: 64 compiler: gcc v: 9.3.0 Desktop: KDE Plasma 5.18.5 tk: Qt 5.12.8 wm: kwin_x11 dm: SDDM Distro: Ubuntu 20.04.1 LTS (Focal Fossa)

Audio:     
Device-1: Intel 100 Series/C230 Series Family HD Audio vendor: Lenovo driver: snd_hda_intel v: kernel bus ID: 00:1f.3 chip ID: 8086:a170 
Device-2: NVIDIA GM107 High Definition Audio [GeForce 940MX] driver: snd_hda_intel v: kernel bus ID: 01:00.1 chip ID: 10de:0fbc 
Sound Server: ALSA v: k5.4.0-48-generic
Comment 14 Sven 2020-10-10 13:37:06 UTC
Created attachment 132262 [details]
attachment-15999-0.html

Just as an update: Downgrading pipewire didn't seem to help me, neither
starting the proposed script before login. Tried deleting config files as
well as killing pulse-audio, clicking buttons in pavucontrol, removing the
kde config folder... Nothing helped so I switched my father's computer to a
fresh Kubuntu install. Now he has working audio again. Hope the "no sound"
situation gets resolved soon for everyone who's still having this issue!

Op za 10 okt. 2020 12:11 schreef ese73 <bugzilla_noreply@kde.org>:

> https://bugs.kde.org/show_bug.cgi?id=426108
>
> ese73 <estolle@web.de> changed:
>
>            What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|                            |estolle@web.de
>
> --- Comment #13 from ese73 <estolle@web.de> ---
> I have the same problem and had a bug posted on launchpad
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1898184 before I
> came
> along this ticket so maybe I will close it with reference to this one. My
> laptop Lenovo P50 is equipped with a Nvidia graphics chip, so I am still
> able
> to hear sound by choosing HDMI3 output. However, my microphone is dead.
>
> But my comment is mainly on reporting some (in my eyes) strange
> observation I
> made just yesterday. To countercheck, I booted a Kubuntu 18.04.5 live
> system
> from USB stick and there the built-in audio worked as expected because it
> did
> so before I upgraded to 20.04.1. I then shut down the system and removed
> the
> stick. After rebooting the installed 20.04.1 again, the built-in audio
> worked!
> For example, I could start Zoom client and when entering its audio
> settings it
> would not complain anymore about not being able to find the microphone.
> Instead
> it recorded sound as usual. BUT: after rebooting the 20.04.1 it apparently
> was
> brainwashed and it could not find the built-in audio anymore and Zoom
> complained again about the supposedly missing internal microphone.
>
> I never before experienced such a behavior and I don't understand it. Just
> thought I should mention it.
>
> Nevertheless the bug is really nasty as it prevents participation in web
> conferences, which became an essential part of daily working in times of
> Covid-19.
>
> Just for the records, I confirm the bug for a Lenovo P50. My system is
> (output
> of inxi):
>
> Kernel:
> 5.4.0-48-generic x86_64 bits: 64 compiler: gcc v: 9.3.0 Desktop: KDE Plasma
> 5.18.5 tk: Qt 5.12.8 wm: kwin_x11 dm: SDDM Distro: Ubuntu 20.04.1 LTS
> (Focal
> Fossa)
>
> Audio:
> Device-1: Intel 100 Series/C230 Series Family HD Audio vendor: Lenovo
> driver:
> snd_hda_intel v: kernel bus ID: 00:1f.3 chip ID: 8086:a170
> Device-2: NVIDIA GM107 High Definition Audio [GeForce 940MX] driver:
> snd_hda_intel v: kernel bus ID: 01:00.1 chip ID: 10de:0fbc
> Sound Server: ALSA v: k5.4.0-48-generic
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
Comment 15 ese73 2020-10-10 13:52:16 UTC
I just tried the autostart script method as described above but it won't work on my system as well.

(In reply to Sven from comment #14)
> Created attachment 132262 [details]
> attachment-15999-0.html
> 
> Just as an update: Downgrading pipewire didn't seem to help me, neither
> starting the proposed script before login. Tried deleting config files as
> well as killing pulse-audio, clicking buttons in pavucontrol, removing the
> kde config folder... Nothing helped so I switched my father's computer to a
> fresh Kubuntu install. Now he has working audio again. Hope the "no sound"
> situation gets resolved soon for everyone who's still having this issue!
>
Comment 16 ese73 2020-10-12 09:08:22 UTC
(In reply to Sven from comment #14)

Hi Sven,

as you did it now for the second time, I would like to ask you if you could refrain from posting my email address anywhere - especially not in any reply text and not in any attachment. If you like to add a reply, there is the reply button that you can use.

Thank you (for the spam)!
Comment 17 John Salatas 2020-10-13 01:42:00 UTC
Created attachment 132309 [details]
pavucontrol: unplugged unavailable

Tried both workarounds suggested here. None worked/. I have to run pavucontrol and then manually select the output device which is marked as "unplugged unavailable"

I need to do the above everytime I log in an also everytime my PC is waking up from sleep


# lspci | grep Audio
00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller (rev 31)
01:00.1 Audio device: NVIDIA Corporation GP104 High Definition Audio Controller (rev a1)
Comment 18 ese73 2020-10-13 06:35:28 UTC
(In reply to John Salatas from comment #17)
> Created attachment 132309 [details]
> pavucontrol: unplugged unavailable
> 
> Tried both workarounds suggested here. None worked/. I have to run
> pavucontrol and then manually select the output device which is marked as
> "unplugged unavailable"
> 
> I need to do the above everytime I log in an also everytime my PC is waking
> up from sleep
> 
> 
> # lspci | grep Audio
> 00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset
> Family HD Audio Controller (rev 31)
> 01:00.1 Audio device: NVIDIA Corporation GP104 High Definition Audio
> Controller (rev a1)

Pavucontrol is no option with my Lenovo P50. Even when I select Show All Input Devices, the tab Input Devices shows only Monitor of GM107 High Definition ... HDMI3 and Advanced below is gray.

~$ lspci | grep Audio
00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset Family HD Audio Controller (rev 31)
01:00.1 Audio device: NVIDIA Corporation GM107 High Definition Audio Controller [GeForce 940MX] (rev a1)

But I might still have the option of first booting a 18.04.5 live system. After the first reboot the 20.04.1 recognized built-in audio (see comment 13). Kind of a tedious procedure to turn on the microphone...
Comment 19 ese73 2020-10-13 08:13:21 UTC
(In reply to ese73 from comment #18)
> (In reply to John Salatas from comment #17)
> > Created attachment 132309 [details]
> > pavucontrol: unplugged unavailable
> > 
> > Tried both workarounds suggested here. None worked/. I have to run
> > pavucontrol and then manually select the output device which is marked as
> > "unplugged unavailable"
> > 
> > I need to do the above everytime I log in an also everytime my PC is waking
> > up from sleep
> > 
> > 
> > # lspci | grep Audio
> > 00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset
> > Family HD Audio Controller (rev 31)
> > 01:00.1 Audio device: NVIDIA Corporation GP104 High Definition Audio
> > Controller (rev a1)
> 
> Pavucontrol is no option with my Lenovo P50. Even when I select Show All
> Input Devices, the tab Input Devices shows only Monitor of GM107 High
> Definition ... HDMI3 and Advanced below is gray.
> 
> ~$ lspci | grep Audio
> 00:1f.3 Audio device: Intel Corporation 100 Series/C230 Series Chipset
> Family HD Audio Controller (rev 31)
> 01:00.1 Audio device: NVIDIA Corporation GM107 High Definition Audio
> Controller [GeForce 940MX] (rev a1)
> 
> But I might still have the option of first booting a 18.04.5 live system.
> After the first reboot the 20.04.1 recognized built-in audio (see comment
> 13). Kind of a tedious procedure to turn on the microphone...

Update: Using pavucontrol I was once able to make built-in audio showing up in system settings. But after the next reboot they were gone. I can't reproduce it. In tab Configuration I see a bunch of profiles and some are marked as (unplugged)(unavailable). But selecting them doesn't make a difference.
Comment 20 Harald Sitter 2020-10-13 14:14:43 UTC
I'm guessing the output of `journalctl -b 0 _SYSTEMD_USER_UNIT=pulseaudio.service _SYSTEMD_USER_UNIT=pipewire.service` would be useful. Also when moving .config/pulse out of the way helps I'd be interested in a copy of that folder.
Comment 21 Nate Graham 2020-10-13 15:13:45 UTC
Created attachment 132324 [details]
old pulse config folder
Comment 22 Nate Graham 2020-10-13 15:14:10 UTC
I've attached the old pulse config folder as requested.
Comment 23 ese73 2020-10-13 15:27:32 UTC
(In reply to Harald Sitter from comment #20)
> I'm guessing the output of `journalctl -b 0
> _SYSTEMD_USER_UNIT=pulseaudio.service _SYSTEMD_USER_UNIT=pipewire.service`
> would be useful. Also when moving .config/pulse out of the way helps I'd be
> interested in a copy of that folder.

This is the requested output on my P50:

pulseaudio[1177]: No UCM verb is valid for hw:1
pipewire[1176]: [E][v4l2-utils.c:91 spa_v4l2_open()] v4l2: /dev/video1 is no video capture device
pipewire[1176]: [E][v4l2-utils.c:1037 spa_v4l2_enum_controls()] VIDIOC_QUERYCTRL: Inappropriate ioctl for device
pulseaudio[1242]: No UCM verb is valid for hw:1
pipewire[1241]: [E][v4l2-utils.c:91 spa_v4l2_open()] v4l2: /dev/video1 is no video capture device
pipewire[1241]: [E][v4l2-utils.c:1037 spa_v4l2_enum_controls()] VIDIOC_QUERYCTRL: Inappropriate ioctl for device
Comment 24 John Salatas 2020-10-14 01:38:09 UTC
(In reply to Harald Sitter from comment #20)
> I'm guessing the output of `journalctl -b 0
> _SYSTEMD_USER_UNIT=pulseaudio.service _SYSTEMD_USER_UNIT=pipewire.service`
> would be useful. Also when moving .config/pulse out of the way helps I'd be
> interested in a copy of that folder.

Here is what I get (removing .config/pulse doesn't help) 

# journalctl -b 0 _SYSTEMD_USER_UNIT=pulseaudio.service _SYSTEMD_USER_UNIT=pipewire.service | more
-- Logs begin at Sat 2020-10-10 16:59:56 PDT, end at Tue 2020-10-13 18:35:51 PDT. --
Oct 13 18:33:00 dell-desktop pulseaudio[1686]: No UCM verb is valid for hw:0
Oct 13 18:33:00 dell-desktop pipewire[1703]: [-][000000008.781209][alsa-ucm.c:793 pa_alsa_ucm_query_profiles()] No UCM verb is valid for hw:0
Oct 13 18:33:02 dell-desktop pulseaudio[1686]: Failed to load module "module-alsa-card" (argument: "device_id="2" name="usb-046d_HD_Pro_Webcam_C920_EF3CFE6F-02" card_name="alsa_card.usb-046
d_HD_Pro_Webcam_C920_EF3CFE6F-02" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes use_ucm=yes avoid_resampling=no card_properties="module-udev-detect.d
iscovered=1""): initialization failed.
Oct 13 18:33:02 dell-desktop pipewire[1685]: [E][000000010.042501][pipewire.c:118 open_plugin()] can't load /usr/lib/x86_64-linux-gnu/spa-0.2/jack/libspa-jack.so: /usr/lib/x86_64-linux-gnu/
spa-0.2/jack/libspa-jack.so: cannot open shared object file: No such file or directory
Oct 13 18:33:02 dell-desktop pipewire[1685]: [E][000000010.042902][pipewire.c:254 pw_load_spa_handle()] can't load 'jack/libspa-jack': No such file or directory
Oct 13 18:33:02 dell-desktop pipewire[1685]: [E][000000010.043022][spa-device.c:144 pw_spa_device_load()] can't load device handle: No such file or directory
Oct 13 18:33:02 dell-desktop pipewire[1685]: [E][000000010.043129][module-device-factory.c:167 create_object()] can't create device: No such file or directory
Oct 13 18:33:02 dell-desktop pipewire[1685]: [E][000000010.043251][private.h:241 pw_core_resource_errorv()] resource 0x5627306c46c0: id:4 seq:4 res:-2 (No such file or directory) msg:"can't
 create device: No such file or directory"
Oct 13 18:33:02 dell-desktop pipewire[1703]: [E][000000010.044165][core.c:71 core_event_error()] core 0x55b06e5e21b0: proxy 0x55b06e5bd7d0 id:4: seq:4 res:-2 (No such file or directory) msg
:"can't create device: No such file or directory"
Oct 13 18:33:02 dell-desktop pipewire[1703]: [E][000000010.044486][media-session.c:1799 core_error()] error id:4 seq:4 res:-2 (No such file or directory): can't create device: No such file 
or directory
Oct 13 18:33:05 dell-desktop pipewire[1703]: [-][000000013.199160][alsa-ucm.c:793 pa_alsa_ucm_query_profiles()] No UCM verb is valid for hw:1
Oct 13 18:33:05 dell-desktop pulseaudio[1686]: No UCM verb is valid for hw:1
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: 667 events suppressed
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:10 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:15 dell-desktop pipewire[1685]: [E][000000023.172119][private.h:241 pw_core_resource_errorv()] resource 0x5627306c46c0: id:52 seq:195 res:-22 (Invalid argument) msg:"set param 
id:11 (Spa:Enum:ParamId:PortConfig) flags:00000000 failed"
Oct 13 18:33:15 dell-desktop pipewire[1703]: [E][000000023.172542][core.c:71 core_event_error()] core 0x55b06e5e21b0: proxy 0x55b06e672160 id:52: seq:195 res:-22 (Invalid argument) msg:"set
 param id:11 (Spa:Enum:ParamId:PortConfig) flags:00000000 failed"
Oct 13 18:33:15 dell-desktop pipewire[1703]: [E][000000023.172823][media-session.c:1799 core_error()] error id:52 seq:195 res:-22 (Invalid argument): set param id:11 (Spa:Enum:ParamId:PortC
onfig) flags:00000000 failed
Oct 13 18:33:15 dell-desktop pulseaudio[1686]: 239 events suppressed
Oct 13 18:33:15 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:15 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:15 dell-desktop pulseaudio[1686]: q overrun, queuing locally
Oct 13 18:33:26 dell-desktop pulseaudio[1686]: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did n
ot send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Comment 25 Harald Sitter 2020-10-14 11:56:29 UTC
Also interesting might be the output of `pactl list sinks`
Comment 26 John Salatas 2020-10-14 17:15:05 UTC
(In reply to Harald Sitter from comment #25)
> Also interesting might be the output of `pactl list sinks`

This is the output of pactl list sinks

Sink #1
        State: IDLE
        Name: alsa_output.pci-0000_00_1f.3.analog-stereo
        Description: Built-in Audio Analog Stereo
        Driver: module-alsa-card.c
        Sample Specification: s16le 2ch 44100Hz
        Channel Map: front-left,front-right
        Owner Module: 9
        Mute: no
        Volume: front-left: 52428 /  80% / -5.81 dB,   front-right: 52428 /  80% / -5.81 dB
                balance 0.00
        Base Volume: 65536 / 100% / 0.00 dB
        Monitor Source: alsa_output.pci-0000_00_1f.3.analog-stereo.monitor
        Latency: 39295 usec, configured 40000 usec
        Flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY 
        Properties:
                alsa.resolution_bits = "16"
                device.api = "alsa"
                device.class = "sound"
                alsa.class = "generic"
                alsa.subclass = "generic-mix"
                alsa.name = "ALC3861 Analog"
                alsa.id = "ALC3861 Analog"
                alsa.subdevice = "0"
                alsa.subdevice_name = "subdevice #0"
                alsa.device = "0"
                alsa.card = "0"
                alsa.card_name = "HDA Intel PCH"
                alsa.long_card_name = "HDA Intel PCH at 0xdf340000 irq 140"
                alsa.driver_name = "snd_hda_intel"
                device.bus_path = "pci-0000:00:1f.3"
                sysfs.path = "/devices/pci0000:00/0000:00:1f.3/sound/card0"
                device.bus = "pci"
                device.vendor.id = "8086"
                device.vendor.name = "Intel Corporation"
                device.product.id = "a170"
                device.product.name = "100 Series/C230 Series Chipset Family HD Audio Controller"
                device.form_factor = "internal"
                device.string = "front:0"
                device.buffering.buffer_size = "65536"
                device.buffering.fragment_size = "32768"
                device.access_mode = "mmap+timer"
                device.profile.name = "analog-stereo"
                device.profile.description = "Analog Stereo"
                device.description = "Built-in Audio Analog Stereo"
                module-udev-detect.discovered = "1"
                device.icon_name = "audio-card-pci"
        Ports:
                analog-output-lineout: Line Out (priority: 9000, not available)
                analog-output-headphones: Headphones (priority: 9900, not available)
        Active Port: analog-output-lineout
        Formats:
                pcm
Comment 27 ese73 2020-10-14 18:45:10 UTC
~$ pactl list sinks
Sink #10
        State: SUSPENDED
        Name: alsa_output.pci-0000_01_00.1.hdmi-stereo-extra2
        Description: GM107 High Definition Audio Controller [GeForce 940MX] Digital Stereo (HDMI 3)
        Driver: module-alsa-card.c
        Sample Specification: s16le 2ch 44100Hz
        Channel Map: front-left,front-right
        Owner Module: 7
        Mute: no
        Volume: front-left: 65536 / 100% / 0,00 dB,   front-right: 65536 / 100% / 0,00 dB
                balance 0,00
        Base Volume: 65536 / 100% / 0,00 dB
        Monitor Source: alsa_output.pci-0000_01_00.1.hdmi-stereo-extra2.monitor
        Latency: 0 usec, configured 0 usec
        Flags: HARDWARE DECIBEL_VOLUME LATENCY SET_FORMATS 
        Properties:
                alsa.resolution_bits = "16"
                device.api = "alsa"
                device.class = "sound"
                alsa.class = "generic"
                alsa.subclass = "generic-mix"
                alsa.name = "HDMI 2"
                alsa.id = "HDMI 2"
                alsa.subdevice = "0"
                alsa.subdevice_name = "subdevice #0"
                alsa.device = "8"
                alsa.card = "1"
                alsa.card_name = "HDA NVidia"
                alsa.long_card_name = "HDA NVidia at 0xb3000000 irq 17"
                alsa.driver_name = "snd_hda_intel"
                device.bus_path = "pci-0000:01:00.1"
                sysfs.path = "/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1"
                device.bus = "pci"
                device.vendor.id = "10de"
                device.vendor.name = "NVIDIA Corporation"
                device.product.id = "0fbc"
                device.product.name = "GM107 High Definition Audio Controller [GeForce 940MX]"
                device.string = "hdmi:1,2"
                device.buffering.buffer_size = "65536"
                device.buffering.fragment_size = "32768"
                device.access_mode = "mmap+timer"
                device.profile.name = "hdmi-stereo-extra2"
                device.profile.description = "Digital Stereo (HDMI 3)"
                device.description = "GM107 High Definition Audio Controller [GeForce 940MX] Digital Stereo (HDMI 3)"
                module-udev-detect.discovered = "1"
                device.icon_name = "audio-card-pci"
        Ports:
                hdmi-output-2: HDMI / DisplayPort 3 (priority: 5700, available)
        Active Port: hdmi-output-2
        Formats:
                pcm
Comment 28 Paul Feakins 2020-10-23 08:07:25 UTC
(In reply to Paul Feakins from comment #11)
> > Can anyone who was affected confirm this issue is fixed?
> 
> I fixed it with pavucontrol so can't confirm if it would have been fixed
> otherwise.

Actually after a restart the Analogue Output has gone again and this time pavucontrol is unable to bring it back.
Comment 29 ese73 2020-10-23 08:18:25 UTC
(In reply to Paul Feakins from comment #28)
> (In reply to Paul Feakins from comment #11)
> > > Can anyone who was affected confirm this issue is fixed?
> > 
> > I fixed it with pavucontrol so can't confirm if it would have been fixed
> > otherwise.
> 
> Actually after a restart the Analogue Output has gone again and this time
> pavucontrol is unable to bring it back.

That meets also my observations - a one-time remedy. If you look at comment #13, the strange behavior after rebooting from a 18.04 live system. I have the odd feeling there went something wrong with the system upgrade. Did you also upgrade from 18.04?
Comment 30 Paul Feakins 2020-10-23 08:21:26 UTC
> Did you also upgrade from 18.04?
Yes, that is when it started. Various other things also broke, but this is the worst issue.
Comment 31 ese73 2020-10-23 08:32:47 UTC
(In reply to Paul Feakins from comment #30)
> > Did you also upgrade from 18.04?
> Yes, that is when it started. Various other things also broke, but this is
> the worst issue.

I fully agree. That hplip won't install because hplip is not compatible to 20.04 is also bad but we live in a digital world so print analog paper anyway.
Comment 32 Paul Feakins 2020-10-23 08:36:46 UTC
(In reply to ese73 from comment #31)
> I fully agree. That hplip won't install because hplip is not compatible to
> 20.04 is also bad but we live in a digital world so print analog paper
> anyway.
I'm thinking a reinstall of the latest KDE Neon might be the best solution here.
Comment 33 ese73 2020-10-23 09:09:48 UTC
(In reply to Paul Feakins from comment #32)
> I'm thinking a reinstall of the latest KDE Neon might be the best solution
> here.
I also had this idea but it's a productive system I use for my daily work. Should I dare that?
Comment 34 Paul Feakins 2020-10-23 09:16:44 UTC
(In reply to ese73 from comment #33)
> I also had this idea but it's a productive system I use for my daily work.
> Should I dare that?
Same. I haven't done it yet, but I expect I'll have to. Should be absolutely fine as long as you get the data you need off it first.
Comment 35 Harald Sitter 2020-10-23 11:38:27 UTC
So this only happens with upgraded systems?
Comment 36 Paul Feakins 2020-10-23 11:43:42 UTC
(In reply to Harald Sitter from comment #35)
> So this only happens with upgraded systems?
As far as I can tell, yes.
Comment 37 Paul Feakins 2020-10-23 11:44:43 UTC
(In reply to Paul Feakins from comment #36)
> (In reply to Harald Sitter from comment #35)
> > So this only happens with upgraded systems?
> As far as I can tell, yes.
Sorry I misunderstood - I haven't reinstalled yet so I can't be sure.
Comment 38 S. Christian Collins 2020-10-23 14:57:27 UTC
I know some system upgrades from 18.04 to 20.04 have been installing the package "timidity" which seems to be causing audio device issues for some people. Does anybody with this bug have timidity installed, and if so, does removing it solve the issue?
Comment 39 John Salatas 2020-10-25 21:53:08 UTC
BTW: I guess I need to add some other details. I decided to perform a clean install in my PC. The audio seemed to work ok initially, but at some time it started behaving again as described previously (showing the output as unplugges/unavailable). However now I can fix it with the following commands 

rm -r .config/pulse/
pulseaudio -k

But it breaks again (at some times after a restart).

Anyway: one more (seemingly) interesting detail is that I first noticed the issue after installing steam (ie enabling 32bit architecture) and inatalling the 32bit nvidia drivers. Not sure if these are related but may be something worth investigating :\
Comment 40 Paul Feakins 2020-10-26 09:41:43 UTC
(In reply to S. Christian Collins from comment #38)
> I know some system upgrades from 18.04 to 20.04 have been installing the
> package "timidity" which seems to be causing audio device issues for some
> people. Does anybody with this bug have timidity installed, and if so, does
> removing it solve the issue?
"timidity" not installed on my system. Issue remains.
Comment 41 ese73 2020-10-26 11:33:45 UTC
(In reply to S. Christian Collins from comment #38)
> I know some system upgrades from 18.04 to 20.04 have been installing the
> package "timidity" which seems to be causing audio device issues for some
> people. Does anybody with this bug have timidity installed, and if so, does
> removing it solve the issue?

YES! I can confirm the following:

Output of dpkg -l | grep pipewire
ii  libpipewire-0.2-1:amd64                       0.2.7-1                                     amd64        libraries for the PipeWire multimedia server

Output of dpkg -l | grep timidity
ii  timidity                                      2.14.0-8build1                              amd64        Software sound renderer (MIDI sequencer, MOD player)
rc  timidity-daemon                               2.14.0-8build1                              all          runs TiMidity++ as a system-wide MIDI sequencer

Then I removed timidity (sudo apt-get remove timidity). After reboot I suddenly see Built-In audio again. Zoom doesn't complain any longer about a missing microphone.

Now output of dpkg -l | grep timidity
rc  timidity                                      2.14.0-8build1                              amd64        Software sound renderer (MIDI sequencer, MOD player)
rc  timidity-daemon                               2.14.0-8build1                              all          runs TiMidity++ as a system-wide MIDI sequencer

I rebooted twice to be sure but the situation seems stable.
Comment 42 Harald Sitter 2020-10-30 11:17:13 UTC
Alas, I really do not know what to do with this unless we can actually identify what exactly causes the issue on a new installation. So far I was entirely unable to break my system and the posted logs show nothing of particular note to my untrained eyes either.

What does `pactl list modules` and `pactl list cards` report on a broken setup?
Comment 43 Harald Sitter 2020-10-30 11:20:12 UTC
Also maybe interesting may be the output of `sudo lsof /dev/snd/*`
Comment 44 Paul Feakins 2020-11-05 09:34:59 UTC
(In reply to Harald Sitter from comment #42)
> Alas, I really do not know what to do with this unless we can actually
> identify what exactly causes the issue on a new installation. So far I was
> entirely unable to break my system and the posted logs show nothing of
> particular note to my untrained eyes either.
All my digital audio devices and outputs appear correctly, it's the analogue 3.5mm headphone jack output that has just disappeared. Perhaps you don't have an analogue output?
 
> What does `pactl list modules` and `pactl list cards` report on a broken
> setup?

> Also maybe interesting may be the output of `sudo lsof /dev/snd/*`

paul@home:~$ pactl list modules
Module #0
        Name: module-device-restore
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Automatically restore the volume/mute state of devices"
                module.version = "13.99.1"

Module #1
        Name: module-stream-restore
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Automatically restore the volume/mute/device state of streams"
                module.version = "13.99.1"

Module #2
        Name: module-card-restore
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Automatically restore profile of cards"
                module.version = "13.99.1"

Module #3
        Name: module-augment-properties
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Augment the property sets of streams with additional static information"
                module.version = "13.99.1"

Module #4
        Name: module-switch-on-port-available
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "David Henningsson"
                module.description = "Switches ports and profiles when devices are plugged/unplugged"
                module.version = "13.99.1"

Module #5
        Name: module-switch-on-connect
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Michael Terry"
                module.description = "When a sink/source is added, switch to it or conditionally switch to it"
                module.version = "13.99.1"

Module #6
        Name: module-udev-detect
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Detect available audio hardware and load matching drivers"
                module.version = "13.99.1"

Module #7
        Name: module-alsa-card
        Argument: device_id="2" name="usb-046d_08ad-01" card_name="alsa_card.usb-046d_08ad-01" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes use_ucm=yes avoid_resampling=no card_properties="module-udev-detect.discovered=1"
        Usage counter: 0
        Properties:
                module.author = "Lennart Poettering"
                module.description = "ALSA Card"
                module.version = "13.99.1"

Module #8
        Name: module-alsa-card
        Argument: device_id="3" name="usb-045e_Microsoft_LifeChat_LX-3000-00" card_name="alsa_card.usb-045e_Microsoft_LifeChat_LX-3000-00" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes use_ucm=yes avoid_resampling=no card_properties="module-udev-detect.discovered=1"
        Usage counter: 1
        Properties:
                module.author = "Lennart Poettering"
                module.description = "ALSA Card"
                module.version = "13.99.1"

Module #9
        Name: module-alsa-card
        Argument: device_id="1" name="pci-0000_00_1b.0" card_name="alsa_card.pci-0000_00_1b.0" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes use_ucm=yes avoid_resampling=no card_properties="module-udev-detect.discovered=1"
        Usage counter: 0
        Properties:
                module.author = "Lennart Poettering"
                module.description = "ALSA Card"
                module.version = "13.99.1"

Module #10
        Name: module-bluetooth-policy
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Frédéric Dalleau, Pali Rohár"
                module.description = "Policy module to make using bluetooth devices out-of-the-box easier"
                module.version = "13.99.1"

Module #11
        Name: module-bluetooth-discover
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "João Paulo Rechi Vita"
                module.description = "Detect available Bluetooth daemon and load the corresponding discovery module"
                module.version = "13.99.1"

Module #12
        Name: module-bluez5-discover
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "João Paulo Rechi Vita"
                module.description = "Detect available BlueZ 5 Bluetooth audio devices and load BlueZ 5 Bluetooth audio drivers"
                module.version = "13.99.1"

Module #13
        Name: module-native-protocol-unix
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Native protocol (UNIX sockets)"
                module.version = "13.99.1"

Module #14
        Name: module-gsettings
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Sylvain Baubeau"
                module.description = "GSettings Adapter"
                module.version = "13.99.1"

Module #15
        Name: module-default-device-restore
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Automatically restore the default sink and source"
                module.version = "13.99.1"

Module #16
        Name: module-always-sink
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Colin Guthrie"
                module.description = "Always keeps at least one sink loaded even if it's a null one"
                module.version = "13.99.1"

Module #17
        Name: module-intended-roles
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Automatically set device of streams based on intended roles of devices"
                module.version = "13.99.1"

Module #18
        Name: module-suspend-on-idle
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "When a sink/source is idle for too long, suspend it"
                module.version = "13.99.1"

Module #19
        Name: module-console-kit
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Create a client for each ConsoleKit session of this user"
                module.version = "13.99.1"

Module #20
        Name: module-systemd-login
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Create a client for each login session of this user"
                module.version = "13.99.1"

Module #21
        Name: module-position-event-sounds
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Position event sounds between L and R depending on the position on screen of the widget triggering them."
                module.version = "13.99.1"

Module #22
        Name: module-role-cork
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Mute & cork streams with certain roles while others exist"
                module.version = "13.99.1"

Module #23
        Name: module-snap-policy
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Canonical Ltd"
                module.description = "Ubuntu Snap policy management"
                module.version = "13.99.1"

Module #24
        Name: module-filter-heuristics
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Colin Guthrie"
                module.description = "Detect when various filters are desirable"
                module.version = "13.99.1"

Module #25
        Name: module-filter-apply
        Argument: 
        Usage counter: n/a
        Properties:
                module.author = "Colin Guthrie"
                module.description = "Load filter sinks automatically when needed"
                module.version = "13.99.1"

Module #26
        Name: module-alsa-card
        Argument: device_id="0" name="pci-0000_00_03.0" card_name="alsa_card.pci-0000_00_03.0" namereg_fail=false tschency_range=no ignore_dB=no deferred_volume=yes use_ucm=yes avoid_resampling=no card_properties="module-udev-detect.disco
        Usage counter: 0
        Properties:
                module.author = "Lennart Poettering"
                module.description = "ALSA Card"
                module.version = "13.99.1"

Module #27
        Name: module-x11-publish
        Argument: display=:0 xauthority=/home/paul/.Xauthority
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "X11 credential publisher"
                module.version = "13.99.1"

Module #28
        Name: module-x11-cork-request
        Argument: display=:0 xauthority=/home/paul/.Xauthority
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "Synthesize X11 media key events when cork/uncork is requested"
                module.version = "13.99.1"

Module #29
        Name: module-x11-xsmp
        Argument: display=:0 xauthority=/home/paul/.Xauthority session_manager=local/home:@/tmp/.ICE-unix/1229,unix/hom/1229
        Usage counter: n/a
        Properties:
                module.author = "Lennart Poettering"
                module.description = "X11 session management"
                module.version = "13.99.1"

paul@home:~$ pactl list cards
Card #0
        Name: alsa_card.usb-046d_08ad-01
        Driver: module-alsa-card.c
        Owner Module: 7
        Properties:
                alsa.card = "2"
                alsa.card_name = "USB Device 0x46d:0x8ad"
                alsa.long_card_name = "USB Device 0x46d:0x8ad at usb-0000:00:14.0-3, full speed"
                alsa.driver_name = "snd_usb_audio"
                device.bus_path = "pci-0000:00:14.0-usb-0:3:1.1"
                sysfs.path = "/devices/pci0000:00/0000:00:14.0/usb2/2-3/2-3:1.1/sound/card2"
                udev.id = "usb-046d_08ad-01"
                device.bus = "usb"
                device.vendor.id = "046d"
                device.vendor.name = "Logitech, Inc."
                device.product.id = "08ad"
                device.product.name = "QuickCam Communicate STX"
                device.serial = "046d_08ad"
                device.string = "2"
                device.description = "QuickCam Communicate STX"
                module-udev-detect.discovered = "1"
                device.icon_name = "audio-card-usb"
        Profiles:
                input:mono-fallback: Mono Input (sinks: 0, sources: 1, priority: 1, available: yes)
                input:multichannel-input: Multichannel Input (sinks: 0, sources: 1, priority: 1, available: yes)
                off: Off (sinks: 0, sources: 0, priority: 0, available: yes)
        Active Profile: off
        Ports:
                analog-input-mic: Microphone (priority: 8700, latency offset: 0 usec)
                        Properties:
                                device.icon_name = "audio-input-microphone"
                        Part of profile(s): input:mono-fallback
                multichannel-input: Multichannel Input (priority: 0, latency offset: 0 usec)
                        Part of profile(s): input:multichannel-input

Card #1
        Name: alsa_card.usb-045e_Microsoft_LifeChat_LX-3000-00
        Driver: module-alsa-card.c
        Owner Module: 8
        Properties:
                alsa.card = "3"
                alsa.card_name = "Microsoft LifeChat LX-3000"
                alsa.long_card_name = "Microsoft LifeChat LX-3000 at usb-0000:00:14.0-4, full speed"
                alsa.driver_name = "snd_usb_audio"
                device.bus_path = "pci-0000:00:14.0-usb-0:4:1.0"
                sysfs.path = "/devices/pci0000:00/0000:00:14.0/usb2/2-4/2-4:1.0/sound/card3"
                udev.id = "usb-045e_Microsoft_LifeChat_LX-3000-00"
                device.bus = "usb"
                device.vendor.id = "045e"
                device.vendor.name = "Microsoft Corp."
                device.product.id = "070f"
                device.product.name = "LifeChat LX-3000 Headset"
                device.serial = "045e_Microsoft_LifeChat_LX-3000"
                device.form_factor = "headset"
                device.string = "3"
                device.description = "LifeChat LX-3000 Headset"
                module-udev-detect.discovered = "1"
                device.icon_name = "audio-headset-usb"
                device.intended_roles = "phone"
        Profiles:
                input:mono-fallback: Mono Input (sinks: 0, sources: 1, priority: 1, available: yes)
                input:multichannel-input: Multichannel Input (sinks: 0, sources: 1, priority: 1, available: yes)
                output:analog-stereo: Analogue Stereo Output (sinks: 1, sources: 0, priority: 6500, available: yes)
                output:analog-stereo+input:mono-fallback: Analogue Stereo Output + Mono Input (sinks: 1, sources: 1, priority: 6501, available: yes)
                output:analog-stereo+input:multichannel-input: Analogue Stereo Output + Multichannel Input (sinks: 1, sources: 1, priority: 6501, available: yes)
                output:iec958-stereo: Digital Stereo (IEC958) Output (sinks: 1, sources: 0, priority: 5500, available: yes)
                output:iec958-stereo+input:mono-fallback: Digital Stereo (IEC958) Output + Mono Input (sinks: 1, sources: 1, priority: 5501, available: yes)
                output:iec958-stereo+input:multichannel-input: Digital Stereo (IEC958) Output + Multichannel Input (sinks: 1, sources: 1, priority: 5501, available: yes)
                off: Off (sinks: 0, sources: 0, priority: 0, available: yes)
        Active Profile: output:iec958-stereo+input:mono-fallback
        Ports:
                analog-input-mic: Microphone (priority: 8700, latency offset: 0 usec)
                        Properties:
                                device.icon_name = "audio-input-microphone"
                        Part of profile(s): input:mono-fallback, output:analog-stereo+input:mono-fallback, output:iec958-stereo+input:mono-fallback
                multichannel-input: Multichannel Input (priority: 0, latency offset: 0 usec)
                        Part of profile(s): input:multichannel-input, output:analog-stereo+input:multichannel-input, output:iec958-stereo+input:multichannel-input
                analog-output-speaker: Speakers (priority: 10000, latency offset: 0 usec)
                        Properties:
                                device.icon_name = "audio-speakers"
                        Part of profile(s): output:analog-stereo, output:analog-stereo+input:mono-fallback, output:analog-stereo+input:multichannel-input
                iec958-stereo-output: Digital Output (S/PDIF) (priority: 0, latency offset: 0 usec)
                        Part of profile(s): output:iec958-stereo, output:iec958-stereo+input:mono-fallback, output:iec958-stereo+input:multichannel-input

Card #2
        Name: alsa_card.pci-0000_00_1b.0
        Driver: module-alsa-card.c
        Owner Module: 9
        Properties:
                alsa.card = "1"
                alsa.card_name = "HDA Intel PCH"
                alsa.long_card_name = "HDA Intel PCH at 0xf7310000 irq 53"
                alsa.driver_name = "snd_hda_intel"
                device.bus_path = "pci-0000:00:1b.0"
                sysfs.path = "/devices/pci0000:00/0000:00:1b.0/sound/card1"
                device.bus = "pci"
                device.vendor.id = "8086"
                device.vendor.name = "Intel Corporation"
                device.product.id = "9ca0"
                device.product.name = "Wildcat Point-LP High Definition Audio Controller"
                device.form_factor = "internal"
                device.string = "1"
                device.description = "Built-in Audio"
                module-udev-detect.discovered = "1"
                device.icon_name = "audio-card-pci"
        Profiles:
                input:analog-stereo: Analogue Stereo Input (sinks: 0, sources: 1, priority: 65, available: yes)
                output:iec958-stereo: Digital Stereo (IEC958) Output (sinks: 1, sources: 0, priority: 5500, available: yes)
                output:iec958-stereo+input:analog-stereo: Digital Stereo (IEC958) Output + Analogue Stereo Input (sinks: 1, sources: 1, priority: 5565, available: yes)
                off: Off (sinks: 0, sources: 0, priority: 0, available: yes)
        Active Profile: output:iec958-stereo+input:analog-stereo
        Ports:
                analog-input-mic: Microphone (priority: 8700, latency offset: 0 usec)
                        Properties:
                                device.icon_name = "audio-input-microphone"
                        Part of profile(s): input:analog-stereo, output:iec958-stereo+input:analog-stereo
                iec958-stereo-output: Digital Output (S/PDIF) (priority: 0, latency offset: 0 usec)
                        Part of profile(s): output:iec958-stereo, output:iec958-stereo+input:analog-stereo

Card #3
        Name: alsa_card.pci-0000_00_03.0
        Driver: module-alsa-card.c
        Owner Module: 26
        Properties:
                alsa.card = "0"
                alsa.card_name = "HDA Intel HDMI"
                alsa.long_card_name = "HDA Intel HDMI at 0xf7314000 irq 52"
                alsa.driver_name = "snd_hda_intel"
                device.bus_path = "pci-0000:00:03.0"
                sysfs.path = "/devices/pci0000:00/0000:00:03.0/sound/card0"
                device.bus = "pci"
                device.vendor.id = "8086"
                device.vendor.name = "Intel Corporation"
                device.product.id = "160c"
                device.product.name = "Broadwell-U Audio Controller"
                device.form_factor = "internal"
                device.string = "0"
                device.description = "Built-in Audio"
                module-udev-detect.discovered = "1"
                device.icon_name = "audio-card-pci"
        Profiles:
                output:hdmi-stereo: Digital Stereo (HDMI) Output (sinks: 1, sources: 0, priority: 5900, available: no)
                output:hdmi-surround: Digital Surround 5.1 (HDMI) Output (sinks: 1, sources: 0, priority: 800, available: no)
                output:hdmi-surround71: Digital Surround 7.1 (HDMI) Output (sinks: 1, sources: 0, priority: 800, available: no)
                output:hdmi-stereo-extra1: Digital Stereo (HDMI 2) Output (sinks: 1, sources: 0, priority: 5700, available: no)
                output:hdmi-surround-extra1: Digital Surround 5.1 (HDMI 2) Output (sinks: 1, sources: 0, priority: 600, available: no)
                output:hdmi-surround71-extra1: Digital Surround 7.1 (HDMI 2) Output (sinks: 1, sources: 0, priority: 600, available: no)
                output:hdmi-stereo-extra2: Digital Stereo (HDMI 3) Output (sinks: 1, sources: 0, priority: 5700, available: no)
                output:hdmi-surround-extra2: Digital Surround 5.1 (HDMI 3) Output (sinks: 1, sources: 0, priority: 600, available: no)
                output:hdmi-surround71-extra2: Digital Surround 7.1 (HDMI 3) Output (sinks: 1, sources: 0, priority: 600, available: no)
                output:hdmi-stereo-extra3: Digital Stereo (HDMI 4) Output (sinks: 1, sources: 0, priority: 5700, available: no)
                output:hdmi-surround-extra3: Digital Surround 5.1 (HDMI 4) Output (sinks: 1, sources: 0, priority: 600, available: no)
                output:hdmi-surround71-extra3: Digital Surround 7.1 (HDMI 4) Output (sinks: 1, sources: 0, priority: 600, available: no)
                output:hdmi-stereo-extra4: Digital Stereo (HDMI 5) Output (sinks: 1, sources: 0, priority: 5700, available: no)
                output:hdmi-surround-extra4: Digital Surround 5.1 (HDMI 5) Output (sinks: 1, sources: 0, priority: 600, available: no)
                output:hdmi-surround71-extra4: Digital Surround 7.1 (HDMI 5) Output (sinks: 1, sources: 0, priority: 600, available: no)
                off: Off (sinks: 0, sources: 0, priority: 0, available: yes)
        Active Profile: off
        Ports:
                hdmi-output-0: HDMI / DisplayPort (priority: 5900, latency offset: 0 usec, not available)
                        Properties:
                                device.icon_name = "video-display"
                        Part of profile(s): output:hdmi-stereo, output:hdmi-surround, output:hdmi-surround71
                hdmi-output-1: HDMI / DisplayPort 2 (priority: 5800, latency offset: 0 usec, not available)
                        Properties:
                                device.icon_name = "video-display"
                        Part of profile(s): output:hdmi-stereo-extra1, output:hdmi-surround-extra1, output:hdmi-surround71-extra1
                hdmi-output-2: HDMI / DisplayPort 3 (priority: 5700, latency offset: 0 usec, not available)
                        Properties:
                                device.icon_name = "video-display"
                        Part of profile(s): output:hdmi-stereo-extra2, output:hdmi-surround-extra2, output:hdmi-surround71-extra2
                hdmi-output-3: HDMI / DisplayPort 4 (priority: 5600, latency offset: 0 usec, not available)
                        Properties:
                                device.icon_name = "video-display"
                        Part of profile(s): output:hdmi-stereo-extra3, output:hdmi-surround-extra3, output:hdmi-surround71-extra3
                hdmi-output-4: HDMI / DisplayPort 5 (priority: 5500, latency offset: 0 usec, not available)
                        Properties:
                                device.icon_name = "video-display"
                        Part of profile(s): output:hdmi-stereo-extra4, output:hdmi-surround-extra4, output:hdmi-surround71-extra4

paul@home:~$ sudo lsof /dev/snd/*
[sudo] password for paul: 
lsof: WARNING: can't stat() fuse file system /run/user/1000/doc
      Output information may be incomplete.
COMMAND    PID USER   FD   TYPE DEVICE SIZE/OFF NODE NAME
pipewire  1069 paul   27u   CHR  116,1      0t0  459 /dev/snd/seq
pipewire  1069 paul   28u   CHR  116,1      0t0  459 /dev/snd/seq
pulseaudi 1070 paul  mem    CHR 116,16           561 /dev/snd/pcmC3D0p
pulseaudi 1070 paul   16u   CHR 116,13      0t0  523 /dev/snd/controlC1
pulseaudi 1070 paul   21u   CHR 116,18      0t0  563 /dev/snd/controlC3
pulseaudi 1070 paul   27u   CHR 116,18      0t0  563 /dev/snd/controlC3
pulseaudi 1070 paul   46u   CHR  116,8      0t0  518 /dev/snd/controlC0
pulseaudi 1070 paul   52u   CHR 116,16      0t0  561 /dev/snd/pcmC3D0p
pulseaudi 1070 paul   70u   CHR 116,13      0t0  523 /dev/snd/controlC1
pulseaudi 1070 paul   75u   CHR 116,13      0t0  523 /dev/snd/controlC1
pipewire- 1073 paul   21u   CHR 116,15      0t0  560 /dev/snd/controlC2
pipewire- 1073 paul   23u   CHR  116,8      0t0  518 /dev/snd/controlC0
pipewire- 1073 paul   25u   CHR 116,13      0t0  523 /dev/snd/controlC1
Comment 45 Harald Sitter 2020-11-05 12:20:56 UTC
What does `apt search pipewire|grep installed` have to say?
Comment 46 Paul Feakins 2020-11-05 12:51:26 UTC
(In reply to Harald Sitter from comment #45)
> What does `apt search pipewire|grep installed` have to say?

libpipewire-0.2-1/focal,now 0.2.7-1 amd64 [installed,automatic]
Comment 47 Harald Sitter 2020-11-05 14:09:20 UTC
But that's not even the neon version :|
Comment 48 Paul Feakins 2020-11-05 14:13:36 UTC
(In reply to Harald Sitter from comment #47)
> But that's not even the neon version :|

It's definitely Neon I use. It's possible I may have changed versions based on comments above (or elsewhere) as an attempted fix. Needless to say it didn't work.
Comment 49 Harald Sitter 2020-11-17 12:09:13 UTC
Git commit 62212da409f68151e93cc315cac12550211efab5 by Harald Sitter.
Committed on 17/11/2020 at 12:08.
Pushed by sitter into branch 'Neon/release-lts'.

preset pipewire

by default pipewire.service would get auto-started on login but for our
purposes that's not necessary as we only need it for wayland and lazy
activation via the socket should be entirely sufficient there as we
aren't in any form or fashion requiring timely sound output.

meanwhile on x11 it seems to step on pulseaudio's toes for unknown
reasons.

this adds a global neon service preset and forces pipewire to follow the
preset rather than debian's determined defaults (which are in fact
derived from the service itself and awkward to change in our pipewire
packaging)

M  +10   -0    debian/neon-settings-2.postinst
A  +19   -0    usr/lib/systemd/user-preset/10-neon-default.preset

https://invent.kde.org/neon/neon/settings/commit/62212da409f68151e93cc315cac12550211efab5
Comment 50 John Salatas 2020-11-19 03:15:21 UTC
Just FYI: apparently there no more issues in my clean install. It's been a while since the last time I had an issue. Although I'm not sure which updated fixed it :\
Comment 51 Bob English 2020-11-22 22:01:45 UTC
I am not on Neon, and my Professional USB audio device doesn't load either on every boot: Behringer UMC2040HD

Operating System: Arch Linux
KDE Plasma Version: 5.20.3
KDE Frameworks Version: 5.76.0
Qt Version: 5.15.2
Kernel Version: 5.9.9-arch1-1
OS Type: 64-bit
Processors: 4 × Intel® Core™ i5-2500K CPU @ 3.30GHz
Memory: 31.3 GiB of RAM
Graphics Processor: GeForce GTX 1050/PCIe/SSE2

The built in audio and HDMI from my GPU seem to always work after a boot, but the USB one is hit or miss.

Unplugging and re-plugging in the USB cable to it gets it working.
Comment 54 Riccardo Robecchi 2022-04-07 08:09:54 UTC
Considering PipeWire 0.3.8 is now more than 40 versions behind the current one and that it's not supported anymore, and that current versions do not have this issue, I am closing this bug as it's now obsolete.